# Get a public timeline

Section: Shared content

```
GET https://ba.joexyz.online/api/v1/timelines/:id
```

Gets a public timeline. `user` (name, username, avatar) is present only when the owner chose to show it.

**Parameters**

- `id` (path): The timeline id, as in its share link.

## Authentication

None

## Path parameters

| Name | Value |
| --- | --- |
| `id` |  |

## Example responses

### 200 OK

```json
{
  "data": {
    "id": "j97aztjw1zgcc9b1zq1e5h7rxn7sggfk",
    "createdAt": "2025-10-15T19:52:47.261Z",
    "name": "Shiro & Kuro Heavy INS 28,831,808pt",
    "description": "This timeline may look short and innocent, but there are many things you need to restart for. This clear requires a lv.1 Dress Aru.\n\n- **Team:** Seia, UE50+ Mika, lv.1 D.Aru, Shun, Rio, Kisaki\n- **Starter skills:** Seia, D.Aru, Rio",
    "horizontalSeparatorSize": 50,
    "itemSpacing": -6,
    "items": [
      {
        "type": "student",
        "studentId": "seia",
        "targetId": "mika",
        "trigger": "AUTO"
      },
      {
        "type": "student",
        "studentId": "rio",
        "targetId": "mika",
        "trigger": "9.9"
      },
      {
        "type": "student",
        "studentId": "aru_dress",
        "targetId": "mika",
        "trigger": "3:38.933"
      },
      {
        "type": "student",
        "studentId": "mika",
        "notes": "4.23m",
        "trigger": "7.3"
      },
      {
        "type": "student",
        "studentId": "kisaki",
        "targetId": "mika",
        "trigger": "3:35.100"
      },
      {
        "type": "student",
        "studentId": "mika",
        "copy": true,
        "trigger": "ASAP"
      },
      {
        "type": "student",
        "studentId": "seia",
        "targetId": "mika",
        "trigger": "AUTO"
      },
      {
        "type": "separator",
        "orientation": "vertical"
      },
      {
        "type": "student",
        "studentId": "mika",
        "notes": "2.75m",
        "trigger": "AUTO(4.9)"
      },
      {
        "type": "text",
        "text": "D.Aru dies"
      },
      {
        "type": "student",
        "studentId": "rio",
        "targetId": "mika",
        "trigger": "2.8"
      },
      {
        "type": "student",
        "studentId": "mika",
        "trigger": "ASAP"
      }
    ],
    "showCreator": true,
    "user": {
      "name": "Joe",
      "avatar": "https://img.clerk.com/eyJ0eXBlIjoicHJveHkiLCJzcmMiOiJodHRwczovL2ltYWdlcy5jbGVyay5kZXYvb2F1dGhfZGlzY29yZC9pbWdfMzA4dFBaNlpUeFJSb1FKbkdGRUE5Vm1HMDdWIn0",
      "username": "joexyz"
    },
    "verticalSeparatorSize": 50,
    "visibility": "public"
  }
}
```

### 404 Not Found

```json
{
  "error": {
    "code": "NOT_FOUND",
    "message": "Timeline not found"
  }
}
```

## Examples

### cURL

```bash
curl https://ba.joexyz.online/api/v1/timelines/:id
```

### JavaScript

```javascript
const response = await fetch("https://ba.joexyz.online/api/v1/timelines/:id");

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://ba.joexyz.online/api/v1/timelines/:id"

response = requests.get(url)
print(response.json())
```

### Go

```go
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, err := http.NewRequest("GET", "https://ba.joexyz.online/api/v1/timelines/:id", nil)
	if err != nil {
		panic(err)
	}

	res, err := http.DefaultClient.Do(req)
	if err != nil {
		panic(err)
	}
	defer res.Body.Close()

	data, _ := io.ReadAll(res.Body)
	fmt.Println(string(data))
}
```
